Skip to main content
POST
Create address

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

customer id

Body

application/json
first_name
string
required
phone
string
required

10 digit phone number without country code.

email
string
required
address_line1
string
required
pincode
string
required
city
string
required
state
string
required
country
enum<string>
required
Available options:
India
last_name
string
country_code
string

Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.

address_line2
string | null
landmark
string | null
gstin
string | null

Use in shipping details only for third party.

business_name
string | null

Use in shipping details only for third party.

is_default_billing
boolean
is_default_shipping
boolean

Response

200 - application/json

OK

message
string
success
boolean
content
object